MolData3Ddescriptors Class Reference

`#include <MolData3Ddescriptors.h>`

## Public Member Functions

| MolData3Ddescriptors ()
std::vector< double > | GetCharges (const RDKit::ROMol &mol)
std::vector< double > | GetRelativeMW (const RDKit::ROMol &mol)
std::vector< double > | GetCustomAtomProp (const RDKit::ROMol &mol, const std::string &customAtomPropName)
std::vector< double > | GetRelativePol (const RDKit::ROMol &mol)
std::vector< double > | GetRelativeRcov (const RDKit::ROMol &mol)
std::vector< double > | GetRelativeENeg (const RDKit::ROMol &mol)
std::vector< double > | GetRelativeIonPol (const RDKit::ROMol &mol)
std::vector< double > | GetRelativeVdW (const RDKit::ROMol &mol)
std::vector< double > | GetUn (int numAtoms)
int | GetPrincipalQuantumNumber (int AtomicNum)
std::vector< double > | GetIState (const RDKit::ROMol &mol)
std::vector< double > | GetIStateDrag (const RDKit::ROMol &mol)
std::vector< double > | GetEState (const RDKit::ROMol &mol)
std::vector< double > | GetEState2 (const RDKit::ROMol &mol)

## Detailed Description

Definition at line 40 of file MolData3Ddescriptors.h.

## Constructor & Destructor Documentation

## MolData3Ddescriptors()

MolData3Ddescriptors::MolData3Ddescriptors | ( |  | ) |

## Member Function Documentation

## GetCharges()

std::vector<double> MolData3Ddescriptors::GetCharges | ( | const RDKit::ROMol & | mol | ) |

## GetCustomAtomProp()

std::vector<double> MolData3Ddescriptors::GetCustomAtomProp | ( | const RDKit::ROMol & | mol,
|  | const std::string & | customAtomPropName
| ) |  |

## GetEState()

std::vector<double> MolData3Ddescriptors::GetEState | ( | const RDKit::ROMol & | mol | ) |

## GetEState2()

std::vector<double> MolData3Ddescriptors::GetEState2 | ( | const RDKit::ROMol & | mol | ) |

## GetIState()

std::vector<double> MolData3Ddescriptors::GetIState | ( | const RDKit::ROMol & | mol | ) |

## GetIStateDrag()

std::vector<double> MolData3Ddescriptors::GetIStateDrag | ( | const RDKit::ROMol & | mol | ) |

## GetPrincipalQuantumNumber()

int MolData3Ddescriptors::GetPrincipalQuantumNumber | ( | int | AtomicNum | ) |

## GetRelativeENeg()

std::vector<double> MolData3Ddescriptors::GetRelativeENeg | ( | const RDKit::ROMol & | mol | ) |

## GetRelativeIonPol()

std::vector<double> MolData3Ddescriptors::GetRelativeIonPol | ( | const RDKit::ROMol & | mol | ) |

## GetRelativeMW()

std::vector<double> MolData3Ddescriptors::GetRelativeMW | ( | const RDKit::ROMol & | mol | ) |

## GetRelativePol()

std::vector<double> MolData3Ddescriptors::GetRelativePol | ( | const RDKit::ROMol & | mol | ) |

## GetRelativeRcov()

std::vector<double> MolData3Ddescriptors::GetRelativeRcov | ( | const RDKit::ROMol & | mol | ) |

## GetRelativeVdW()

std::vector<double> MolData3Ddescriptors::GetRelativeVdW | ( | const RDKit::ROMol & | mol | ) |

## GetUn()

std::vector<double> MolData3Ddescriptors::GetUn | ( | int | numAtoms | ) |

The documentation for this class was generated from the following file:

- MolData3Ddescriptors.h